Skip to main content
Weavr API
Fees

Charge fee to a corporate

POST/corporates/fees/charge

Charge a fee to the corporate identified by the auth token, based on a pre-defined custom fee. Custom fees can be configured in the Multi Portal.

The fees collected will be deposited into your Revenue Account. The balance and transaction history of your revenue account can be viewed in the Multi Portal.

Request

Header parameters

Request body

*
application/json

The custom fee to be charged to the consumer/corporate.

{}
objectobject · 2 fields

Responses

200OK

Success

Headers
Body
application/json
{}
ChargeFeeChargeFee · object · 7 fields
Response example
{  "transactionId": {    "type": "TRANSFER",    "id": "2468013579"  },  "profileId": "string",  "feeType": "string",  "source": {    "id": "123456789",    "type": "managed_accounts"  },  "availableBalanceAdjustment": {    "currency": "GBP",    "amount": 1250  },  "state": {},  "creationTimestamp": 0}